Title Spencer's face-to-face talk - game crash
Priority critical Status resolved
Assigned To Keywords
Linked issues Watchers

Submitted on 2015-08-02 11h05 by zdenek, last changed by zdenek.

File name Uploaded Type Edit Remove
issue829_Apten1.patch Apten, 2015-11-18.16:47:22 application/octet-stream
Author: zdenek Date: 2015-08-02   11h05
After the faulty firmware is propagated in Terminal of the Hell Fortress and
Spencer connects via radio, he wants to open "Face to Face" talk. The game crash
in this moment with following error:

FreedroidRPG 0.15-1557-gab5d647_mod encountered a problem in function:
Obstacle label "spencer-opendoor" was not found on the map.
Author: zdenek Date: 2015-08-02   12h54
If I end the terminal session before Spencer contacts me and go to city, direct
dialog with Spencer starts with "radio noise" and follows exactly the same way
like in the terminal session until it crash when Spencer wants face to face
Author: sydneyjd Date: 2015-11-06   20h24
Yes, it does the same for me. The game Devs *expect* you to view the firmware
version you propogated after pushed it, and that is how Sencer is supposed to
talk to you. *but* if you do go to town before viewing the firmware version you
pushed and talk to Spencer, it will crash.
Author: Apten Date: 2015-11-18   16h47
Here is a patch that calls the required dialog with Spencer when you log out 
after the firmware update without checking the new OS version. I have tested 
ending the game with and without checking the new OS version, and it appears to 
solve this issue.
Author: fluzz Date: 2015-11-19   12h27
Could you please open a review request ( and upload your
patch ? It will be easier for us to review it there.

Thanks for your work.
Author: Apten Date: 2015-11-24   17h40
issue829_Apten1.patch is now review request #2226
Author: infrared Date: 2015-11-25   02h31
Can you check if without the patch, the crash happens with a new game? I think
this comes from the fact that you used a savegame from an earlier version, and
it couldn't find the map label in the error message.
The real solution is to make the terminal say something like:
"General security routine: Missing file: evil.conf. Will now exit.SIGSEGV"
And then lock the door leading to the underground pass. This will entirely
prevent the player from leaving the room until they happen to check the version
(which shouldn't be too painful). It will also prevent Bender from opening and
closing the door when patrolling in the room.
Author: jesusalva Date: 2015-12-27   17h23
Hmm... Shouldn't this issue be closed?

(jesusalva was strolling around and saw a probably fixed issue still open)
Author: sydneyjd Date: 2016-03-08   16h13
I belive it can be closed, im going to test this tonight to make sure everything
is 100% working though, even though it should be.
Author: sydneyjd Date: 2016-03-08   16h28
Ok, so all looks good i think, the only thing that im concerned about is that
you are locked in the server update room, but after you talk to Spencer, if you
don't tell him "ok, i'm ready, just tell me what to do"(which the game ends on),
you are *still* locked in, even though you can teleport home and talk to a bunch
of people. The server room door never unlocks after talking with Spencer. Is
that meant to be that way? I hope i'm making sense.
Author: zdenek Date: 2016-04-09   15h07
I just went through the entire game and I finish it without the crash reported 
in this ticket (e.g. no crash during face-to-face talk attempt).

The ending: 
1) The server update room is still lock but player can escape it via portal that 
was created by Spencer.
2) If the dialog with Spencer is ended with "I will leave now", the game 
continues (e.g. I can use portal and jump to Town and continue)
3) If the dialog with Spencer is ended with "I'm ready, just tell what I should 
do" (or similar), the game ends but I would expect it to continue.
Author: zdenek Date: 2016-04-09   15h08
Sorry for the grammar mistakes above...
Anyway, this ticket can be closed.
Date User Action Args
2016-04-09 15:09:02zdeneksetstatus: open -> resolved
2016-04-09 15:08:14zdeneksetmessages: + msg3326
2016-04-09 15:07:10zdeneksetmessages: + msg3325
2016-03-08 16:28:58sydneyjdsetmessages: + msg3306
2016-03-08 16:13:56sydneyjdsetmessages: + msg3305
2015-12-27 17:23:52jesusalvasetmessages: + msg3295
2015-11-25 02:31:58infraredsetmessages: + msg3287
2015-11-24 17:40:08Aptensetmessages: + msg3284
2015-11-19 12:27:27fluzzsetmessages: + msg3277
2015-11-18 16:47:22Aptensetfiles: + issue829_Apten1.patch
messages: + msg3276
2015-11-06 20:24:12sydneyjdsetmessages: + msg3274
2015-08-02 12:54:05zdeneksetmessages: + msg3217
2015-08-02 11:05:53zdenekcreate